Skip to main content
GET
List an inspection’s violations

Authorizations

Authorization
string
header
required

Effective API key. Send Authorization: Bearer sk-eai-...

Path Parameters

activityNr
string
required

Inspection activity number.

Pattern: ^\d{1,12}$

Query Parameters

violType
enum<string>

S serious, W willful, R repeat, O other-than-serious, U unclassified.

Available options:
S,
W,
R,
O,
U,
s,
w,
r,
o,
u
includeDeleted
enum<string>
default:false

Include citations OSHA deleted (deleteFlag Y). Default false.

Available options:
true,
false

Response

The inspection’s violations.

violations
object[]
required